False battery warning +suspend

Bug #838543 reported by Vadim Peretokin on 2011-09-01
120
This bug affects 23 people
Affects Status Importance Assigned to Milestone
gnome-settings-daemon (Ubuntu)
Low
Unassigned
Trusty
Undecided
Unassigned
linux (Ubuntu)
Undecided
AceLan Kao
Trusty
Undecided
Unassigned

Bug Description

I pulled the plug on my laptop with it's battery full:

ubuntu@ubuntu:~$ cat /proc/acpi/battery/BAT1/state
present: yes
capacity state: ok
charging state: charged
present rate: 0 mA
remaining capacity: 7200 mAh
present voltage: 11100 mV
ubuntu@ubuntu:~$ ubuntu-bug -w
ubuntu@ubuntu:~$ cat /proc/acpi/battery/BAT1/info
present: yes
design capacity: 7200 mAh
[...]

And suddenly got a dialog saying that it was critically low (while the icon top-left appears, properly, as full) and the laptop did suspend shortly after that.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: gnome-control-center 1:3.1.5-0ubuntu4
ProcVersionSignature: Ubuntu 3.0.0-9.15-generic 3.0.3
Uname: Linux 3.0.0-9-generic x86_64
Architecture: amd64
CasperVersion: 1.280
Date: Thu Sep 1 02:26:17 2011
ExecutablePath: /usr/bin/gnome-control-center
LiveMediaBuild: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110831)
SourcePackage: gnome-control-center
UpgradeStatus: No upgrade log present (probably fresh install)

Vadim Peretokin (vperetokin) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-control-center (Ubuntu):
status: New → Confirmed
Sebastien Bacher (seb128) wrote :

Thank you for your bug report, is that still an issue? What does the indicator shows as battery estimation when that happens? Could you run upower --dump and add the log to the bug?

affects: gnome-control-center (Ubuntu) → gnome-settings-daemon (Ubuntu)
Changed in gnome-settings-daemon (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete
Mari (piratemari) wrote :

This bug is affecting me as well. I don't have the rest of the information that the OP has, but I DID run upower --dump; here's the results.

Vadim Peretokin (vperetokin) wrote :

Here it is, it is still happening:

vadi@vadi-11:~$ upower --dump
Device: /org/freedesktop/UPower/devices/line_power_ACAD
  native-path: /sys/devices/LNXSYSTM:00/device:00/PNP0A08:00/device:20/ACPI0003:00/power_supply/ACAD
  power supply: yes
  updated: Tue Oct 18 12:56:23 2011 (29 seconds ago)
  has history: no
  has statistics: no
  line-power
    online: yes

Device: /org/freedesktop/UPower/devices/battery_BAT1
  native-path: /sys/devices/LNXSYSTM:00/device:00/PNP0A08:00/device:20/PNP0C0A:00/power_supply/BAT1
  vendor: Sanyo
  model: PA3465U
  serial: 3658Q
  power supply: yes
  updated: Tue Oct 18 12:56:28 2011 (24 seconds ago)
  has history: yes
  has statistics: yes
  battery
    present: yes
    rechargeable: yes
    state: fully-charged
    energy: 79.92 Wh
    energy-empty: 0 Wh
    energy-full: 79.92 Wh
    energy-full-design: 79.92 Wh
    energy-rate: 0 W
    voltage: 11.1 V
    percentage: 100%
    capacity: 100%
    technology: lithium-ion
  History (charge):
    1318906583 100.000 fully-charged
    1318906570 99.000 discharging
  History (rate):
    1318906584 0.000 fully-charged
    1318906570 1438.560 discharging

Daemon:
  daemon-version: 0.9.13
  can-suspend: yes
  can-hibernate yes
  on-battery: no
  on-low-battery: no
  lid-is-closed: no
  lid-is-present: yes
  is-docked: no
vadi@vadi-11:~$

This is still an issue and I can't work around it, because the only options
for action on "critically low" battery power are suspend or hibernate.

My laptop essentially has had it's battery life reduced to 2-3 minutes.

Also affects me, both on 11.04 and 11.10 (clean install) but not on previous versions. Running on a Dell E4300. Output of upower --dump is at the bottom of this email.

Interestingly, I've occasionally seen the default gnome-shell battery indicator applet show the existence of TWO batteries, one of which has 0% and the other 100% (even when on AC power). After a short while (e.g. enough restarts or access to AC), this resolves itself and I only see one battery, showing my actual amount of power.

Not sure if it is related, but I also get two batteries listed in /proc/acpi/battery even though my system only has one. I haven't seen what happens to those BAT* folders when things are on the fritz, but the contents of those files are also included at the bottom and look innocuous when things are running well.

Device: /org/freedesktop/UPower/devices/line_power_AC
  native-path: /sys/devices/LNXSYSTM:00/device:00/ACPI0003:00/power_supply/AC
  power supply: yes
  updated: Fri Oct 21 12:37:32 2011 (1429 seconds ago)
  has history: no
  has statistics: no
  line-power
    online: yes

Device: /org/freedesktop/UPower/devices/battery_BAT0
  native-path: /sys/devices/LNXSYSTM:00/device:00/PNP0C0A:00/power_supply/BAT0
  vendor: SMP
  model: DELL FM33889
  serial: 2169
  power supply: yes
  updated: Fri Oct 21 12:58:41 2011 (160 seconds ago)
  has history: yes
  has statistics: yes
  battery
    present: yes
    rechargeable: yes
    state: fully-charged
    energy: 57.72 Wh
    energy-empty: 0 Wh
    energy-full: 57.72 Wh
    energy-full-design: 57.72 Wh
    energy-rate: 0.0111 W
    voltage: 12.482 V
    percentage: 100%
    capacity: 66.5962%
    technology: lithium-ion

Daemon:
  daemon-version: 0.9.13
  can-suspend: yes
  can-hibernate yes
  on-battery: no
  on-low-battery: no
  lid-is-closed: no
  lid-is-present: yes
  is-docked: yes

BAT0/alarm
alarm: unsupported
-------------

BAT0/info
present: yes
design capacity: 5200 mAh
last full capacity: 3463 mAh
battery technology: rechargeable
design voltage: 11100 mV
design capacity warning: 520 mAh
design capacity low: 157 mAh
cycle count: 0
capacity granularity 1: 52 mAh
capacity granularity 2: 52 mAh
model number: DELL FM33889
serial number: 2169
battery type: LION
OEM info: SMP
-------------

BAT0/state
present: yes
capacity state: ok
charging state: charged
present rate: 1 mA
remaining capacity: 5200 mAh
present voltage: 12482 mV
-------------

BAT1/alarm
present: no
-------------

BAT1/info
present: no
-------------

BAT1/state
present: no
-------------

Vadim Peretokin (vperetokin) wrote :

That's interesting, but I only get one battery in my case:

$ ls /proc/acpi/battery
BAT1

Either way, if there's another battery with full power accessible, you
logically shouldn't be shutting down...

seb.belese (seb-belese) wrote :

I have the same issue, but the warning+suspend happens only when I resume from suspend.

Maybe this bug is related with Question #175179.

I have the problem on 2 laptops (Dell 6510 end Dell 6520). One shows two batteries, and the other one (6520) shows 3 batteries. There is only one battery on each laptop.

 upower --dump
Device: /org/freedesktop/UPower/devices/line_power_AC
  native-path: /sys/devices/LNXSYSTM:00/device:00/ACPI0003:00/power_supply/AC
  power supply: yes
  updated: Mon Oct 24 09:36:14 2011 (3730 seconds ago)
  has history: no
  has statistics: no
  line-power
    online: yes

Device: /org/freedesktop/UPower/devices/battery_BAT0
  native-path: /sys/devices/LNXSYSTM:00/device:00/PNP0C0A:00/power_supply/BAT0
  vendor: Samsung SDI
  model: DELL V57XN19
  serial: 57759
  power supply: yes
  updated: Mon Oct 24 10:38:23 2011 (1 seconds ago)
  has history: yes
  has statistics: yes
  battery
    present: yes
    rechargeable: yes
    state: charging
    energy: 84.3045 Wh
    energy-empty: 0 Wh
    energy-full: 95.9484 Wh
    energy-full-design: 99.9 Wh
    energy-rate: 28.1607 W
    voltage: 12.891 V
    time to full: 24.8 minutes
    percentage: 87.8644%
    capacity: 96.0444%
    technology: lithium-ion
  History (charge):
    1319445503 87.864 charging
    1319445473 87.621 charging
    1319445443 87.367 charging
    1319445413 87.112 charging
  History (rate):
    1319445503 28.161 charging
    1319445473 28.738 charging
    1319445443 29.337 charging
    1319445413 29.948 charging

Device: /org/freedesktop/UPower/devices/battery_BAT2
  native-path: /sys/devices/LNXSYSTM:00/device:00/PNP0C0A:02/power_supply/BAT2
  power supply: no
  updated: Mon Oct 24 10:38:06 2011 (18 seconds ago)
  has history: no
  has statistics: no
  battery
    present: no
    rechargeable: no
    state: unknown
    energy: 0 Wh
    energy-empty: 0 Wh
    energy-full: 0 Wh
    energy-full-design: 0 Wh
    energy-rate: 0 W
    percentage: 0%

Device: /org/freedesktop/UPower/devices/battery_BAT1
  native-path: /sys/devices/LNXSYSTM:00/device:00/PNP0C0A:01/power_supply/BAT1
  power supply: no
  updated: Mon Oct 24 10:38:06 2011 (18 seconds ago)
  has history: no
  has statistics: no
  battery
    present: no
    rechargeable: no
    state: unknown
    energy: 0 Wh
    energy-empty: 0 Wh
    energy-full: 0 Wh
    energy-full-design: 0 Wh
    energy-rate: 0 W
    percentage: 0%

Daemon:
  daemon-version: 0.9.13
  can-suspend: yes
  can-hibernate yes
  on-battery: no
  on-low-battery: no
  lid-is-closed: no
  lid-is-present: yes
  is-docked: no

Stefano Maffulli (smaffulli) wrote :

I have a similar issue with Dell E6420

$ upower --dump
Device: /org/freedesktop/UPower/devices/line_power_AC
  native-path: /sys/devices/LNXSYSTM:00/device:00/ACPI0003:00/power_supply/AC
  power supply: yes
  updated: Mon Oct 31 18:15:37 2011 (53425 seconds ago)
  has history: no
  has statistics: no
  line-power
    online: yes

Device: /org/freedesktop/UPower/devices/battery_BAT0
  native-path: /sys/devices/LNXSYSTM:00/device:00/PNP0C0A:00/power_supply/BAT0
  vendor: SMP
  model: DELL 5G67C16
  serial: 1407
  power supply: yes
  updated: Tue Nov 1 08:59:46 2011 (376 seconds ago)
  has history: yes
  has statistics: yes
  battery
    present: yes
    rechargeable: yes
    state: fully-charged
    energy: 59.9955 Wh
    energy-empty: 0 Wh
    energy-full: 59.9955 Wh
    energy-full-design: 59.9955 Wh
    energy-rate: 0.0111 W
    voltage: 12.843 V
    percentage: 100%
    capacity: 99.445%
    technology: lithium-ion

Daemon:
  daemon-version: 0.9.13
  can-suspend: yes
  can-hibernate yes
  on-battery: no
  on-low-battery: no
  lid-is-closed: no
  lid-is-present: yes
  is-docked: no

but

$ ls -la /proc/acpi/battery/
total 0
dr-xr-xr-x 5 root root 0 2011-11-01 09:08 .
dr-xr-xr-x 5 root root 0 2011-10-31 13:42 ..
dr-xr-xr-x 2 root root 0 2011-11-01 09:08 BAT0
dr-xr-xr-x 2 root root 0 2011-11-01 09:08 BAT1
dr-xr-xr-x 2 root root 0 2011-11-01 09:08 BAT2

And GNOME applet sees 3 batteries, two of which at 0%. The system has one physical battery.

Ian Nicholson (imnichol) wrote :

I think this may be a duplicate of bug 830348: https://bugs.launchpad.net/ubuntu/+source/unity-2d/+bug/830348
Does anyone else agree?

Ian Nicholson (imnichol) wrote :

Nevermind that duplicate question, I hat the wrong tab open. I am experiencing this issue intermittently though. It usually occurs when I resume from suspend.

Christopher (captain-c) wrote :

I am experiencing something similar. When I wake from suspend, I get a critical battery warning and the computer immediately shuts down (the battery is really full as it has been charging while in suspend). I am also seeing multiple batteries in the battery indicator.

Mari (piratemari) wrote :

So mine has started shutting down COMPLETELY when it disconnects. For a while it stopped going into hibernate every time it got unplugged, which was great, but now it's even worse than before. And even more incredibly annoying, since my charger does not like to stay in.

Vadim Peretokin (vperetokin) wrote :

The lack of activity on this important issue is strange.

Ian Nicholson (imnichol) wrote :

On 11/27/2011 05:28 PM, Vadim Peretokin wrote:
> The lack of activity on this important issue is strange.
I agree, it's been marked as incomplete for as long as I've been
subscribed. What information can I include that will help the devs
resolve this?

Stefano Maffulli (smaffulli) wrote :

probably because it's a duplicate of this bug? 852406 check it out, it solved my problem

Mari (piratemari) wrote :

I do NOT think they are duplicates - or at least, the issue I am having is not a duplicate. I am not having any issues whatsoever with it registering a nonexistent battery, or this happening after I come back from suspend. Firstly, my laptop never goes into suspend mode, and second this happens to me CONSTANTLY.

It even does this directly after starting up and loading Oneiric, if my power cord gets unplugged. It doesn't do it every single time, but 9 out of 10 times that my cord gets pulled from or falls out of the port, my laptop goes into hibernate (that is my power setting for low battery, rather than standby) or shuts down completely. I have a dell laptop and the plug does NOT like to stay in, so my laptop ends up completely shutting down from this issue at least twice a day, and going into hibernate around six or eight times as much. Earlier today my power cord unplugged five times in thirty minutes, two times of which it immediately shut down. It is ridiculously frustrating.

And yes, I HAVE enabled -proposed, installed all the new updates and things that enabling it gave me, and no, it has not fixed the issue. I've been keeping tabs on the other bug report despite the fact that I do not believe they are duplicates, and I was really hoping that it would fix the issue, but it seems to have made it both worse and slightly better simultaneously.

I have a marginally better chance of my laptop not hibernating/shutting down if I press cancel and get my laptop plugged back in fast enough, and the first time or two it happens directly after I start up, there is an even chance of getting no warning or anything. But now a whole new issue has cropped up, which is that my battery life indicator is futzing up the percentage or time of battery life I have left. This was not happening before. So whereas before, it would tell me I had 2:05 and 100% left on my battery when it was unplugged, and I would get the warning, now it'll tell me I have 6:00 or 0:15 or 10% left. On a fully charged battery.

Plus, the original problem still exists: if my charger falls out of the port on my laptop or gets unplugged, even on a full battery, a warning pops up, tells me my battery is about to die, and then my laptop goes into hibernate, or worse, shuts down completely. Unless I start my laptop up unplugged my battery life has essentially been reduced to a minute or less.

Derduden (martin---007) wrote :

I also have similar problems with my HP 2710p running Linux Mint 12 Gnome Shell.
It shows one battery at boot and two batteries after 1st suspend and continues until reboot.
Gnome shell shows 1st battery on 100 % or whatever and 2nd battery at 0 %.
This causes warnings of critically low battery power and it automatically goes into suspend.
I heard somebody talking about this being a kernel issue, but then again they said that had been fixed.
I got problems never the less.
Kernel : 3.0.0.13-generic

Derduden (martin---007) wrote :

Forgot the dump:
Device: /org/freedesktop/UPower/devices/line_power_C23D
  native-path: /sys/devices/LNXSYSTM:00/device:00/ACPI0003:00/power_supply/C23D
  power supply: yes
  updated: Wed Nov 30 19:38:29 2011 (241 seconds ago)
  has history: no
  has statistics: no
  line-power
    online: yes

Device: /org/freedesktop/UPower/devices/battery_C23F
  native-path: /sys/devices/LNXSYSTM:00/device:00/PNP0C0A:00/power_supply/C23F
  vendor: Hewlett-Packard
  model: Primary
  serial: 00630 2007/10/13
  power supply: yes
  updated: Wed Nov 30 19:42:04 2011 (26 seconds ago)
  has history: yes
  has statistics: yes
  battery
    present: yes
    rechargeable: yes
    state: fully-charged
    energy: 30.3807 Wh
    energy-empty: 0 Wh
    energy-full: 30.6915 Wh
    energy-full-design: 30.6915 Wh
    energy-rate: 0 W
    voltage: 12.624 V
    percentage: 98.9873%
    capacity: 100%
    technology: lithium-ion

Daemon:
  daemon-version: 0.9.13
  can-suspend: yes
  can-hibernate yes
  on-battery: no
  on-low-battery: no
  lid-is-closed: no
  lid-is-present: yes
  is-docked: no

After suspend this battery is added:

Device: /org/freedesktop/UPower/devices/battery_C23E
  native-path: /sys/devices/LNXSYSTM:00/device:00/PNP0C0A:01/power_supply/C23E
  power supply: no
  updated: Wed Nov 30 19:43:41 2011 (0 seconds ago)
  has history: no
  has statistics: no
  battery
    present: no
    rechargeable: no
    state: unknown
    energy: 0 Wh
    energy-empty: 0 Wh
    energy-full: 0 Wh
    energy-full-design: 0 Wh
    energy-rate: 0 W
    percentage: 0%

This is correct though, since the laptop supports two batteries, but it shouldn't cause untimely suspends and incorrect battery info in Gnome.

Vadim Peretokin (vperetokin) wrote :

Since when is this incomplete? This still affects me, and I'm on -proposed, and a fair amount of other users.

Ubuntu has reduced my laptops battery power to 30s. This is unacceptable, it is not a laptop anymore!

Changed in gnome-settings-daemon (Ubuntu):
status: Incomplete → Confirmed
Susanne Schlensog (sschlensog) wrote :

This bug occurred to me today for the first time. Just 2 days ago my Samsung N150 netbook was just running fine with an up-to-date Precise. Today, I pulled the plug and - BAM - netbook just turnd off. The battery was fine. I could run the netbook for 2 to 4 hours without a problem, and now the battery appears to be dead (in 12.04 too, which I booted in some minutes ago).

So...is there anything I can do to bring my battery back to life?

Vadim Peretokin (vperetokin) wrote :

No workarounds that I know of,.although it doesn't hibernate again if you
resume unplugged.
On Dec 28, 2011 6:01 AM, "Susanne Schlensog" <email address hidden>
wrote:

> This bug occurred to me today for the first time. Just 2 days ago my
> Samsung N150 netbook was just running fine with an up-to-date Precise.
> Today, I pulled the plug and - BAM - netbook just turnd off. The battery
> was fine. I could run the netbook for 2 to 4 hours without a problem,
> and now the battery appears to be dead (in 12.04 too, which I booted in
> some minutes ago).
>
> So...is there anything I can do to bring my battery back to life?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/838543
>
> Title:
> False battery warning +suspend
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/gnome-settings-daemon/+bug/838543/+subscriptions
>

nipunsharp (nipunsharp) wrote :

Affects me as well, totally random. Goes to sleep right after resume. Dell D630 Latitude.

nipunsharp (nipunsharp) wrote :

Even if i take out the battery and put it back in, it still says i have two batteries.
And for me, the second battery has no status in the gnome-applet, it just has blank space, and nothing happens when i click it.
If I open the Power Statistics of the good battery and then click on the broken battery, the window closes.

dginsd (davidgardenhire) wrote :

I have an issue I believe related to this issue, I'm fine when I unplug my charger but as soon as I plug the charger back in I get the critical battery warning even with my battery being at 90% plus. I have time to click cancel to avoid suspend so it's more of an annoyance than anything here's the output to upower --dump. I am only showing the one battery correctly. Anyone know if this is related or is there another bug I should join?

david@david-HP-Pavilion-g6-Notebook-PC:~$ upower --dump
Device: /org/freedesktop/UPower/devices/line_power_AC
  native-path: /sys/devices/LNXSYSTM:00/device:00/ACPI0003:00/power_supply/AC
  power supply: yes
  updated: Sun Feb 26 09:52:25 2012 (375 seconds ago)
  has history: no
  has statistics: no
  line-power
    online: yes

Device: /org/freedesktop/UPower/devices/battery_BAT0
  native-path: /sys/devices/LNXSYSTM:00/device:00/PNP0C0A:00/power_supply/BAT0
  vendor: Hewlett-Packard
  model: Primary
  serial: 00426 12/21/2011
  power supply: yes
  updated: Sun Feb 26 09:58:30 2012 (10 seconds ago)
  has history: yes
  has statistics: yes
  battery
    present: yes
    rechargeable: yes
    state: fully-charged
    energy: 48.5136 Wh
    energy-empty: 0 Wh
    energy-full: 48.546 Wh
    energy-full-design: 48.546 Wh
    energy-rate: 707.713 W
    voltage: 12.373 V
    percentage: 99.9333%
    capacity: 100%
    technology: lithium-ion

Daemon:
  daemon-version: 0.9.13
  can-suspend: yes
  can-hibernate yes
  on-battery: no
  on-low-battery: no
  lid-is-closed: no
  lid-is-present: yes
  is-docked: no

dginsd (davidgardenhire) wrote :

Found this fix and it worked for me, though I know my issue differs from a lot of yours. Also I'm not sure of the consequences of adding this conf key, perhaps someone more technically gifted can chime in.

Open a terminal and copy in:

gconftool-2 --type bool --set /apps/gnome-power-manager/general/use_time_for_policy false

Hope this helps someone else out.

Vadim Peretokin (vperetokin) wrote :

Unfortunately, it didn't help me. My laptop still continues to be an
anti-laptop whenever the cord is accidentally pulled out for even a second.

UnableToLoad (unabletoload) wrote :

Same problem, even with very full battery on Ubuntu 12.04, sony vaio VPCEB3J1E

sauarbh (sakshamtandon) wrote :

I am running Ubuntu 10.10 on Core i5 Vaio E series and was facing similar problem for more than an year now. But David's fix worked for me and my ubuntu doesn't go for suspend when the charger gets disconnected accidently while in middle of charging.

Thanks David!

Jack O'Connor (oconnor663) wrote :

A similar bug is affecting me, and maybe my situation can shed some light. I actually DO have two batteries in my laptop. If one of the batteries is depleted when I resume from sleep, I see this "battery is critically low" warning followed by suspend, even though the other battery has plenty of power. While the machine is running, the first battery drains without any problem, so this seems to just be a wake-from-sleep issue. Likewise, if I reboot the machine with one battery drained, it boots fine.

So my uneducated guess is that there's some battery-low event handler somewhere that gets triggered on wake and doesn't properly check the total power in all batteries. It looks like other reporters are having (an unrelated?) problems with phantom batteries, which could be leading them to the same issue I'm having with real batteries.

futtta (futtta) wrote :

We're 2014, I'm on 14.04 LTS on a Samsung n135 netbook and this bug is still roaring it's ugly head regularly after resuming from sleep. If there's any information I can provide in addition to what has been posted above, I'll be more then happy to.

Owen Williams (ywwg) wrote :

Happens for me on 14.04 on a Dell XPS13

AceLan Kao (acelankao) wrote :

Hi all,

I encountered this issue, too, and I would like to know if this patch help.
You can download the kernel packages from this link, this kernel will retry to get the battery inform after wakeup from S3.
Thanks.

http://people.canonical.com/~acelan/bugs/lp838543

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu):
status: New → Confirmed
AceLan Kao (acelankao) on 2014-11-06
affects: unity-settings-daemon (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
assignee: nobody → AceLan Kao (acelankao)
status: New → In Progress
AceLan Kao (acelankao) wrote :

I re-upload the kernel today, it works well for me, so I think it should fix your issue as well.

Luis Henriques (henrix) on 2014-11-25
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Trusty):
status: New → Fix Committed
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-trusty' to 'verification-done-trusty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-trusty
AceLan Kao (acelankao) on 2014-12-10
tags: added: verification-done-trusty
removed: verification-needed-trusty
Launchpad Janitor (janitor) wrote :
Download full text (14.0 KiB)

This bug was fixed in the package linux - 3.13.0-41.70

---------------
linux (3.13.0-41.70) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1396112

  [ Chris J Arges ]

  * [Config] CONFIG_SCOM_DEBUGFS=y for powerpc/powerpc64-smp
    ppc64el/generic
    - LP: #1395855

  [ Upstream Kernel Changes ]

  * Revert "KVM: x86: Handle errors when RIP is set during far jumps"
    - LP: #1393477
  * Revert "net/macb: add pinctrl consumer support"
    - LP: #1393477
  * Revert "iwlwifi: mvm: treat EAPOLs like mgmt frames wrt rate"
    - LP: #1393477
  * Revert "ipmi: simplify locking"
    - LP: #1383921
  * ACPI / blacklist: add Win8 OSI quirks for some Dell laptop models
    - LP: #1339456
  * ACPI / battery: Accelerate battery resume callback
    - LP: #838543
  * tools: cpu-hotplug fix unexpected operator error
  * netlink: reset network header before passing to taps
    - LP: #1393477
  * rtnetlink: fix VF info size
    - LP: #1393477
  * myri10ge: check for DMA mapping errors
    - LP: #1393477
  * tcp: don't use timestamp from repaired skb-s to calculate RTT (v2)
    - LP: #1393477
  * sit: Fix ipip6_tunnel_lookup device matching criteria
    - LP: #1393477
  * tcp: fix tcp_release_cb() to dispatch via address family for
    mtu_reduced()
    - LP: #1393477
  * tcp: fix ssthresh and undo for consecutive short FRTO episodes
    - LP: #1393477
  * packet: handle too big packets for PACKET_V3
    - LP: #1393477
  * openvswitch: fix panic with multiple vlan headers
    - LP: #1393477
  * vxlan: fix incorrect initializer in union vxlan_addr
    - LP: #1393477
  * l2tp: fix race while getting PMTU on PPP pseudo-wire
    - LP: #1393477
  * bonding: fix div by zero while enslaving and transmitting
    - LP: #1393477
  * bridge: Check if vlan filtering is enabled only once.
    - LP: #1393477
  * bridge: Fix br_should_learn to check vlan_enabled
    - LP: #1393477
  * net: allow macvlans to move to net namespace
    - LP: #1393477
  * tg3: Work around HW/FW limitations with vlan encapsulated frames
    - LP: #1393477
  * tg3: Allow for recieve of full-size 8021AD frames
    - LP: #1393477
  * xfrm: Generate blackhole routes only from route lookup functions
    - LP: #1393477
  * xfrm: Generate queueing routes only from route lookup functions
    - LP: #1393477
  * macvtap: Fix race between device delete and open.
    - LP: #1393477
  * gro: fix aggregation for skb using frag_list
    - LP: #1393477
  * hyperv: Fix a bug in netvsc_start_xmit()
    - LP: #1393477
  * ip6_gre: fix flowi6_proto value in xmit path
    - LP: #1393477
  * team: avoid race condition in scheduling delayed work
    - LP: #1393477
  * sctp: handle association restarts when the socket is closed.
    - LP: #1393477
  * tcp: fixing TLP's FIN recovery
    - LP: #1393477
  * sparc64: Do not disable interrupts in nmi_cpu_busy()
    - LP: #1393477
  * sparc64: Fix pcr_ops initialization and usage bugs.
    - LP: #1393477
  * sparc32: dma_alloc_coherent must honour gfp flags
    - LP: #1393477
  * sparc64: sun4v TLB error power off events
    - LP: #1393477
  * sparc64: Fix corrupted thread fault code.
    - LP: #1393477
  * sparc64: find_node adjustment
   ...

Changed in linux (Ubuntu Trusty):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
AceLan Kao (acelankao) on 2015-01-28
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
RockTeam (aindigo) wrote :

Linux 3.13.0-88-generic #135-Ubuntu SMP Wed Jun 8 21:10:42 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

With the shown above kernel version this bug is still seen. It doesn't looks to be solved. Could you comment please?

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-settings-daemon (Ubuntu Trusty):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions